XtSessionGetToken(3) | Library Functions Manual | XtSessionGetToken(3)

# NAME

XtSessionGetToken, XtSessionReturnToken - token management for checkpointing

# SYNTAX

XtCheckpointToken XtSessionGetToken(Widget w, int type);
void XtSessionReturnToken(XtCheckpointToken token);

# ARGUMENTS

w
  Specifies the session widget.

type
  Specifies the value in the type field of the token.

token
  Specifies the token to be returned.

# DESCRIPTION

The XtSessionGetToken function will return NULL if the checkpoint operation instigated by the session manager is not currently under way.
To indicate the completion of a deferred save operation and to return the checkpoint token use XtSessionReturnToken.

# SEE ALSO

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT FUNCTIONS